Skip to main content
GET
/
v1
/
report
/
insight
/
benchmarking
/
revenue
/report/insight/benchmarking/revenue
curl --request GET \
  --url https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "currency": "GBP",
    "data": {
      "gross_revenue": {
        "publisher": 713.695881,
        "cohort": 215.93339500000002,
        "network": 130.45029643165458
      },
      "pap_gross_revenue": {
        "publisher": 709.52059,
        "cohort": 215.93339500000002,
        "network": 113.70656362589935
      },
      "saas_gross_revenue": {
        "publisher": 4.175291,
        "cohort": 0,
        "network": 16.743732805755396
      },
      "net_revenue": {
        "publisher": 605.65242025,
        "cohort": 172.746716,
        "network": 107.71543717122303
      },
      "pap_net_revenue": {
        "publisher": 601.69752925,
        "cohort": 172.746716,
        "network": 91.15291997697844
      },
      "saas_net_revenue": {
        "publisher": 3.9548909999999995,
        "cohort": 0,
        "network": 16.562517194244606
      },
      "impressions": {
        "publisher": 1074513,
        "cohort": 429478.6666666667,
        "network": 167006.46762589927
      },
      "pap_impressions": {
        "publisher": 1070105,
        "cohort": 429478.6666666667,
        "network": 146579.1798561151
      },
      "saas_impressions": {
        "publisher": 4408,
        "cohort": 0,
        "network": 20427.287769784172
      }
    }
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uid
integer
required

Publisher ID

range
enum<string>

Date range. All ranges exclude today and run up to yesterday

Available options:
custom,
all_time,
seven_days,
fourteen_days,
thirty_days,
three_months,
six_months,
week_to_date,
month_to_date,
quarter_to_date,
year_to_date,
last_week,
last_month,
last_quarter,
last_year,
month_on_month,
quarter_on_quarter,
yesterday
start
string<date>

Start date when range=custom

end
string<date>

End date when range=custom

environment
enum<string>
default:all

Environment or platform to report from

Available options:
all,
app,
web
exclude_pubs
enum<string>
default:yes

Excludes publisher data from the Network and Cohort for users organisation

Available options:
yes,
no

Response

200 - application/json
results
object
required
success
boolean
required